unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, UniComboBox, UniCustomControl, UniMarquee, UniButton,
  UniSkinButton, UniTaskBarIcon, UniCheckBox, UniListBox, UniCredits, UniNumberPlate,
  UniProgressBar, UniImageList, ExtCtrls, UniComponent, UniTitle, ImgList;

type
  TMainForm = class(TForm)
    FormPanel: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    UniMarquee: TUniMarquee;
    GroupBox1: TGroupBox;
    checkYellow: TUniCheckBox;
    checkCyan: TUniCheckBox;
    UniButton13: TUniButton;
    GroupBox2: TGroupBox;
    UniButton1: TUniButton;
    UniButton2: TUniButton;
    UniButton3: TUniButton;
    UniButton4: TUniButton;
    UniButton5: TUniButton;
    UniButton6: TUniButton;
    UniButton7: TUniButton;
    UniButton8: TUniButton;
    UniButton9: TUniButton;
    UniButton10: TUniButton;
    UniButton11: TUniButton;
    UniButton12: TUniButton;
    GroupBox3: TGroupBox;
    UniComboBox: TUniComboBox;
    UniListBox: TUniListBox;
    edtLine: TEdit;
    Add: TUniButton;
    UniCredits: TUniCredits;
    UniNumberPlate: TUniNumberPlate;
    ScrollBar: TScrollBar;
    UniProgressBar: TUniProgressBar;
    BlockSize: TScrollBar;
    Left: TUniButton;
    Right: TUniButton;
    SystemIcons: TUniComboBox;
    UniButton14: TUniButton;
    CyanTaskBarIcon: TUniTaskBarIcon;
    YellowTaskBarIcon: TUniTaskBarIcon;
    ImageList: TImageList;
    ColorDialog: TColorDialog;
    UniImageList: TUniImageList;
    UniTitle: TUniTitle;
    Close: TUniSkinButton;
    UniButton15: TUniButton;
    ucbAutoEnter: TUniComboBox;
    procedure checkCyanChange(Sender: TObject);
    procedure checkYellowChange(Sender: TObject);
    procedure UniButton13Click(Sender: TObject);
    procedure ScrollBarChange(Sender: TObject);
    procedure BlockSizeChange(Sender: TObject);
    procedure LeftClick(Sender: TObject);
    procedure RightClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure AddClick(Sender: TObject);
    procedure UniButton14Click(Sender: TObject);
    procedure UniButton15Click(Sender: TObject);
    procedure CloseClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses Unit2, Unit3;

{$R *.DFM}

procedure TMainForm.checkCyanChange(Sender: TObject);
begin
  CyanTaskBarIcon.ShowIcon := checkCyan.Checked;
end;


procedure TMainForm.checkYellowChange(Sender: TObject);
begin
  YellowTaskBarIcon.ShowIcon := checkYellow.Checked;
end;

procedure TMainForm.UniButton13Click(Sender: TObject);
begin
  checkCyan.Checked := True;
  checkYellow.Checked := True;
end;


procedure TMainForm.ScrollBarChange(Sender: TObject);
begin
  UniNumberPlate.Value := ScrollBar.Position;
  UniProgressBar.Position := ScrollBar.Position;
end;


procedure TMainForm.BlockSizeChange(Sender: TObject);
begin
  UniProgressBar.BlockSize := BlockSize.Position;
end;


procedure TMainForm.LeftClick(Sender: TObject);
begin
  ColorDialog.Color := UniProgressBar.LeftColor;
  if ColorDialog.Execute then
  begin
    UniProgressBar.LeftColor := ColorDialog.Color;
  end;
end;

procedure TMainForm.RightClick(Sender: TObject);
begin
  ColorDialog.Color := UniProgressBar.RightColor;
  if ColorDialog.Execute then
  begin
    UniProgressBar.RightColor := ColorDialog.Color;
  end;
end;

procedure TMainForm.FormCreate(Sender: TObject);
var
  i: integer;
begin
  UniComboBox.ItemIndex := 0;
  for i:=0 to UniImageList.Count-1 do
  begin
    SystemIcons.Items.Add( ' System Icon '+IntToStr(i+1)+'='+IntToStr(i));
  end;
  SystemIcons.Update;
end;



procedure TMainForm.AddClick(Sender: TObject);
begin
  UniListBox.Items.Add( edtLine.Text + '=' + IntToStr( UniComboBox.ItemIndex-1));
  UniListBox.Update;
end;

procedure TMainForm.UniButton14Click(Sender: TObject);
begin
  DirForm.ShowModal;
end;

procedure TMainForm.UniButton15Click(Sender: TObject);
begin
  ShapeForm.ShowModal;
end;

procedure TMainForm.CloseClick(Sender: TObject);
begin
  Application.Terminate;
end;

end.
